How to migrate from V1 to V2 of twitter ads API?

twitter4j

#1

I am using twitter4j-ads library, I am getting error code 403 “Version 1.0 is not available” error.
Please suggest me how to migrate V1 to V2.


#2

Please upgrade to latest version of library / JAR from Maven or build it from GitHub - note that there are known issues being ironed out but it’s my understanding that the latest version is in a working state. Please feel free to comment / log issues directly upon the GitHub repo.


#3

Also there has been a change to getAllPromotedTweets function the previous version had lineitemid as parameter but the current one doesn’t have… That means we could get tweets only at a accountid level?